Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
how to suppress emerge message about preserved-rebuild?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
ayvango
n00b
n00b


Joined: 08 Feb 2012
Posts: 34

PostPosted: Fri Jul 05, 2013 12:32 pm    Post subject: how to suppress emerge message about preserved-rebuild? Reply with quote

I gave my best to eliminate as much as possible library mismatch found by portageq list_preserved_list. Now I have only those caused by inconsistency of portage tree itself and can do nothing with them. I just want this panicking message does not appear before me.

How the message can be suppressed? It hides really useful information.
Back to top
View user's profile Send private message
VinzC
Advocate
Advocate


Joined: 17 Apr 2004
Posts: 4669
Location: Theux (Belgium)

PostPosted: Fri Jul 05, 2013 4:20 pm    Post subject: Reply with quote

I also found myself a little surprised after I saw these for the first time. However the information contained does make sense (at least from my own experience). I think if these messages are still present then there most probably is a valid reason. What are those messages exactly?
_________________
Gentoo addict: tomorrow I quit, I promise!... Just one more emerge...
GNU/Linux user #369763
“Wow! I feel root”


Last edited by VinzC on Sun Jul 07, 2013 5:51 pm; edited 1 time in total
Back to top
View user's profile Send private message
pcmaster
Advocate
Advocate


Joined: 04 Dec 2003
Posts: 2013
Location: Barcelona

PostPosted: Sat Jul 06, 2013 10:50 am    Post subject: Reply with quote

I have the same issue. The lessages, when emerge finish, shows:

Code:
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.

!!! existing preserved libs:
>>> package: media-video/ffmpeg-1.0.7
 *  - /usr/lib64/libavcodec.so.53
 *  - /usr/lib64/libavcodec.so.53.61.100
 *      used by /opt/oracle-jdk-bin-1.7.0.25/jre/lib/amd64/fxavcodecplugin-53.so (dev-java/oracle-jdk-bin-1.7.0.25)
 *      used by /opt/oracle-jre-bin-1.7.0.25/lib/amd64/fxavcodecplugin-53.so (dev-java/oracle-jre-bin-1.7.0.25)
 *  - /usr/lib64/libavformat.so.53
 *  - /usr/lib64/libavformat.so.53.32.100
 *      used by /opt/oracle-jdk-bin-1.7.0.25/jre/lib/amd64/fxavcodecplugin-53.so (dev-java/oracle-jdk-bin-1.7.0.25)
 *      used by /opt/oracle-jre-bin-1.7.0.25/lib/amd64/fxavcodecplugin-53.so (dev-java/oracle-jre-bin-1.7.0.25)
Use emerge @preserved-rebuild to rebuild packages using these libraries
 * After world updates, it is important to remove obsolete packages with
 * emerge --depclean. Refer to `man emerge` for more information.
Core2Duo ~ #

_________________
pcmaster
Back to top
View user's profile Send private message
VinzC
Advocate
Advocate


Joined: 17 Apr 2004
Posts: 4669
Location: Theux (Belgium)

PostPosted: Sun Jul 07, 2013 5:57 pm    Post subject: Reply with quote

The message is self-explained. First emerge -a --depclean and then emerge @preserved-rebuild. If the message persists then some files will have to be removed manually and you'll have to run revdep-rebuild. I also assume you paid attention to portage notes after upgrades, some of which tell to run revdep-rebuild and rm.
_________________
Gentoo addict: tomorrow I quit, I promise!... Just one more emerge...
GNU/Linux user #369763
“Wow! I feel root”
Back to top
View user's profile Send private message
The Doctor
Veteran
Veteran


Joined: 27 Jul 2010
Posts: 1445

PostPosted: Sun Jul 07, 2013 7:44 pm    Post subject: Reply with quote

Quote:
Code:
  used by /opt/oracle-jdk-bin-1.7.0.25/jre/lib/amd64/fxavcodecplugin-53.so (dev-java/oracle-jdk-bin-1.7.0.25)


Its telling you that your java-bin is built against old libraries. You can rebuild it as often as you like, it wont fix the links. You will either have to live with it or install a source based jdk.
_________________
First things first, but not necessarily in that order.
Back to top
View user's profile Send private message
jfp
Apprentice
Apprentice


Joined: 08 Jul 2007
Posts: 275
Location: Virginia, USA

PostPosted: Mon Jul 08, 2013 10:36 am    Post subject: Reply with quote

I was recently getting the same messages as shown by pcmaster. At that time, somewhere in the forum (can't find it now), someone suggested the reason why it is happening and gave a solution
The solution was to unmerge oracle-jdk-bin and then emerge it.
The solution worked for me.
_________________
jfp
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum